Nach dem Update auf die neue WordPress Version 2.5.1 hatte ich das Problem, dass die meisten Funktionen, die Javascript benötigen nicht richtig funktionierten. Wie z.B. die aufklappbaren Einstellungsmöglichkeiten beim Erstellen eines neuen Eintrags. Firebug zeigte mir folgenden Fehler:

jQuery is not defined

In Foren oder dergleichen habe ich keine Lösung gefunden zu dem Problem gefunden obwohl der Fehler nicht nur bei mir auftauchte. Dann fiel mir ein, dass der Upload nicht ganz reibungslos verlief und so habe ich alle neuen WordPress-Dateien nochmals auf den Server geladen. Und siehe da, nun geht alles wieder.